package com.hz.pm.api.projectlib.model.constant;

import com.hz.pm.api.projectlib.model.enumeration.ProjectLibFlagEnum;

import java.util.*;


/**
 * <p>
 * ImportTemplateEnumConstant
 * </p>
 *
 * @author WendyYang
 * @since 20:11 2022/11/4
 */
public class ImportTemplateConstant {

    public static final List<String> ANNUAL_PLAN_COL_LIST = Arrays.asList("序号","项目id","项目名称","建设内容","建设依据","建设性质","建设起止年限(填写到月)", "总投资", "自有资金","年度投资额","政府投资-本级财政","政府投资-上级补助资金","银行贷款","其他","一季度","二季度","三季度","四季度","建设单位","项目联系人","项目分管领导","备注");

    private static final Map<ProjectLibFlagEnum, List<String>> IMPORT_TEMPLATE_MAP;

    static {
        IMPORT_TEMPLATE_MAP = new HashMap<>(ProjectLibFlagEnum.values().length);
        IMPORT_TEMPLATE_MAP.put(ProjectLibFlagEnum.ANNUAL_PLAN, ANNUAL_PLAN_COL_LIST);
    }

    public static List<String> getTemplateTitle(ProjectLibFlagEnum template) {
        return IMPORT_TEMPLATE_MAP.getOrDefault(template, Collections.emptyList());
    }

}
